Package com.google.protobuf

# Interface MessageOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`

All Known Subinterfaces:
  `AnyOrBuilder`, `ApiOrBuilder`, `BoolValueOrBuilder`, `BytesValueOrBuilder`, `ClientWireProtocol.AttachToQueryOrBuilder`, `ClientWireProtocol.AuthenticatorOrBuilder`, `ClientWireProtocol.CancelQueryOrBuilder`, `ClientWireProtocol.CancelQueryResponseOrBuilder`, `ClientWireProtocol.ClientConnection2OrBuilder`, `ClientWireProtocol.ClientConnection2ResponseOrBuilder`, `ClientWireProtocol.ClientConnectionGCM2OrBuilder`, `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`, `ClientWireProtocol.ClientConnectionGCMOrBuilder`, `ClientWireProtocol.ClientConnectionGCMResponseOrBuilder`, `ClientWireProtocol.ClientConnectionOrBuilder`, `ClientWireProtocol.ClientConnectionRefreshSessionOrBuilder`, `ClientWireProtocol.ClientConnectionRefreshSessionResponseOrBuilder`, `ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder`, `ClientWireProtocol.ClientConnectionRefreshTokenResponseOrBuilder`, `ClientWireProtocol.ClientConnectionResponseOrBuilder`, `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`, `ClientWireProtocol.ClientConnectionSecurityTokenResponseOrBuilder`, `ClientWireProtocol.ClientConnectionSSO2OrBuilder`, `ClientWireProtocol.ClientConnectionSSO2ResponseOrBuilder`, `ClientWireProtocol.ClientConnectionSSOOrBuilder`, `ClientWireProtocol.ClientConnectionSSOResponseOrBuilder`, `ClientWireProtocol.CloseConnectionOrBuilder`, `ClientWireProtocol.CloseResultSetOrBuilder`, `ClientWireProtocol.ConfirmationResponseOrBuilder`, `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`, `ClientWireProtocol.ExecuteExplainOrBuilder`, `ClientWireProtocol.ExecuteExportOrBuilder`, `ClientWireProtocol.ExecuteExportResponseOrBuilder`, `ClientWireProtocol.ExecuteInlinePlanOrBuilder`, `ClientWireProtocol.ExecutePlanOrBuilder`, `ClientWireProtocol.ExecuteQueryOrBuilder`, `ClientWireProtocol.ExecuteQueryResponseOrBuilder`, `ClientWireProtocol.ExecuteUpdateOrBuilder`, `ClientWireProtocol.ExecuteUpdateResponseOrBuilder`, `ClientWireProtocol.ExplainPipelineRequestOrBuilder`, `ClientWireProtocol.ExplainPipelineResponseOrBuilder`, `ClientWireProtocol.ExplainPlanOrBuilder`, `ClientWireProtocol.ExplainResponseStringPlanOrBuilder`, `ClientWireProtocol.FetchAuthenticatorsOrBuilder`, `ClientWireProtocol.FetchAuthenticatorsResponseOrBuilder`, `ClientWireProtocol.FetchDataOrBuilder`, `ClientWireProtocol.FetchDataResponseOrBuilder`, `ClientWireProtocol.FetchMetadataOrBuilder`, `ClientWireProtocol.FetchMetadataResponseOrBuilder`, `ClientWireProtocol.FetchSystemMetadataOrBuilder`, `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`, `ClientWireProtocol.FetchUpdateStatusOrBuilder`, `ClientWireProtocol.FetchUpdateStatusResponseOrBuilder`, `ClientWireProtocol.ForceExternalOrBuilder`, `ClientWireProtocol.GetSchemaOrBuilder`, `ClientWireProtocol.GetSchemaResponseOrBuilder`, `ClientWireProtocol.KillQueryOrBuilder`, `ClientWireProtocol.KillQueryResponseOrBuilder`, `ClientWireProtocol.ListPlanOrBuilder`, `ClientWireProtocol.ListPlanResponseOrBuilder`, `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`, `ClientWireProtocol.QueryConcurrencyResponseOrBuilder`, `ClientWireProtocol.RequestOrBuilder`, `ClientWireProtocol.ResultSetOrBuilder`, `ClientWireProtocol.SecondaryInterfaceListOrBuilder`, `ClientWireProtocol.SecurityTokenOrBuilder`, `ClientWireProtocol.ServerVersionOrBuilder`, `ClientWireProtocol.SessionInfoOrBuilder`, `ClientWireProtocol.SetParameter.ConcurrencyOrBuilder`, `ClientWireProtocol.SetParameter.ForceExternalOrBuilder`, `ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder`, `ClientWireProtocol.SetParameter.MemoryTracingOrBuilder`, `ClientWireProtocol.SetParameter.PriorityAdjustFactorOrBuilder`, `ClientWireProtocol.SetParameter.PriorityAdjustTimeOrBuilder`, `ClientWireProtocol.SetParameter.PriorityOrBuilder`, `ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder`, `ClientWireProtocol.SetParameter.RowLimitOrBuilder`, `ClientWireProtocol.SetParameter.ServiceClassNameOrBuilder`, `ClientWireProtocol.SetParameter.TimeLimitOrBuilder`, `ClientWireProtocol.SetParameterOrBuilder`, `ClientWireProtocol.SetSchemaOrBuilder`, `ClientWireProtocol.TestConnectionOrBuilder`, `DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder`, `DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder`, `DescriptorProtos.DescriptorProtoOrBuilder`, `DescriptorProtos.EnumDescriptorProto.EnumReservedRangeOrBuilder`, `DescriptorProtos.EnumDescriptorProtoOrBuilder`, `DescriptorProtos.EnumOptionsOrBuilder`, `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`, `DescriptorProtos.EnumValueOptionsOrBuilder`, `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`, `DescriptorProtos.ExtensionRangeOptionsOrBuilder`, `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`, `DescriptorProtos.FeatureSetDefaultsOrBuilder`, `DescriptorProtos.FeatureSetOrBuilder`, `DescriptorProtos.FieldDescriptorProtoOrBuilder`, `DescriptorProtos.FieldOptions.EditionDefaultOrBuilder`, `DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`, `DescriptorProtos.FieldOptionsOrBuilder`, `DescriptorProtos.FileDescriptorProtoOrBuilder`, `DescriptorProtos.FileDescriptorSetOrBuilder`, `DescriptorProtos.FileOptionsOrBuilder`, `DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder`, `DescriptorProtos.GeneratedCodeInfoOrBuilder`, `DescriptorProtos.MessageOptionsOrBuilder`, `DescriptorProtos.MethodDescriptorProtoOrBuilder`, `DescriptorProtos.MethodOptionsOrBuilder`, `DescriptorProtos.OneofDescriptorProtoOrBuilder`, `DescriptorProtos.OneofOptionsOrBuilder`, `DescriptorProtos.ServiceDescriptorProtoOrBuilder`, `DescriptorProtos.ServiceOptionsOrBuilder`, `DescriptorProtos.SourceCodeInfo.LocationOrBuilder`, `DescriptorProtos.SourceCodeInfoOrBuilder`, `DescriptorProtos.UninterpretedOption.NamePartOrBuilder`, `DescriptorProtos.UninterpretedOptionOrBuilder`, `DoubleValueOrBuilder`, `DurationOrBuilder`, `EmptyOrBuilder`, `EnumOrBuilder`, `EnumValueOrBuilder`, `FieldMaskOrBuilder`, `FieldOrBuilder`, `FloatValueOrBuilder`, `GeneratedMessage.ExtendableMessageOrBuilder<MessageT>`, `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT>`, `Int32ValueOrBuilder`, `Int64ValueOrBuilder`, `JavaFeaturesProto.JavaFeaturesOrBuilder`, `ListValueOrBuilder`, `Message`, `Message.Builder`, `MethodOrBuilder`, `MixinOrBuilder`, `OptionOrBuilder`, `PluginProtos.CodeGeneratorRequestOrBuilder`, `PluginProtos.CodeGeneratorResponse.FileOrBuilder`, `PluginProtos.CodeGeneratorResponseOrBuilder`, `PluginProtos.VersionOrBuilder`, `SourceContextOrBuilder`, `StringValueOrBuilder`, `StructOrBuilder`, `TimestampOrBuilder`, `TypeOrBuilder`, `UInt32ValueOrBuilder`, `UInt64ValueOrBuilder`, `ValueOrBuilder`

All Known Implementing Classes:
  `AbstractMessage`, `AbstractMessage.Builder`, `Any`, `Any.Builder`, `Api`, `Api.Builder`, `BoolValue`, `BoolValue.Builder`, `BytesValue`, `BytesValue.Builder`, `ClientWireProtocol.AttachToQuery`, `ClientWireProtocol.AttachToQuery.Builder`, `ClientWireProtocol.Authenticator`, `ClientWireProtocol.Authenticator.Builder`, `ClientWireProtocol.CancelQuery`, `ClientWireProtocol.CancelQuery.Builder`, `ClientWireProtocol.CancelQueryResponse`, `ClientWireProtocol.CancelQueryResponse.Builder`, `ClientWireProtocol.ClientConnection`, `ClientWireProtocol.ClientConnection.Builder`, `ClientWireProtocol.ClientConnection2`, `ClientWireProtocol.ClientConnection2.Builder`, `ClientWireProtocol.ClientConnection2Response`, `ClientWireProtocol.ClientConnection2Response.Builder`, `ClientWireProtocol.ClientConnectionGCM`, `ClientWireProtocol.ClientConnectionGCM.Builder`, `ClientWireProtocol.ClientConnectionGCM2`, `ClientWireProtocol.ClientConnectionGCM2.Builder`, `ClientWireProtocol.ClientConnectionGCM2Response`, `ClientWireProtocol.ClientConnectionGCM2Response.Builder`, `ClientWireProtocol.ClientConnectionGCMResponse`, `ClientWireProtocol.ClientConnectionGCMResponse.Builder`, `ClientWireProtocol.ClientConnectionRefreshSession`, `ClientWireProtocol.ClientConnectionRefreshSession.Builder`, `ClientWireProtocol.ClientConnectionRefreshSessionResponse`, `ClientWireProtocol.ClientConnectionRefreshSessionResponse.Builder`, `ClientWireProtocol.ClientConnectionRefreshToken`, `ClientWireProtocol.ClientConnectionRefreshToken.Builder`, `ClientWireProtocol.ClientConnectionRefreshTokenResponse`, `ClientWireProtocol.ClientConnectionRefreshTokenResponse.Builder`, `ClientWireProtocol.ClientConnectionResponse`, `ClientWireProtocol.ClientConnectionResponse.Builder`, `ClientWireProtocol.ClientConnectionSecurityToken`, `ClientWireProtocol.ClientConnectionSecurityToken.Builder`, `ClientWireProtocol.ClientConnectionSecurityTokenResponse`, `ClientWireProtocol.ClientConnectionSecurityTokenResponse.Builder`, `ClientWireProtocol.ClientConnectionSSO`, `ClientWireProtocol.ClientConnectionSSO.Builder`, `ClientWireProtocol.ClientConnectionSSO2`, `ClientWireProtocol.ClientConnectionSSO2.Builder`, `ClientWireProtocol.ClientConnectionSSO2Response`, `ClientWireProtocol.ClientConnectionSSO2Response.Builder`, `ClientWireProtocol.ClientConnectionSSOResponse`, `ClientWireProtocol.ClientConnectionSSOResponse.Builder`, `ClientWireProtocol.CloseConnection`, `ClientWireProtocol.CloseConnection.Builder`, `ClientWireProtocol.CloseResultSet`, `ClientWireProtocol.CloseResultSet.Builder`, `ClientWireProtocol.ConfirmationResponse`, `ClientWireProtocol.ConfirmationResponse.Builder`, `ClientWireProtocol.ExecuteExplain`, `ClientWireProtocol.ExecuteExplain.Builder`, `ClientWireProtocol.ExecuteExplainForSpark`, `ClientWireProtocol.ExecuteExplainForSpark.Builder`, `ClientWireProtocol.ExecuteExport`, `ClientWireProtocol.ExecuteExport.Builder`, `ClientWireProtocol.ExecuteExportResponse`, `ClientWireProtocol.ExecuteExportResponse.Builder`, `ClientWireProtocol.ExecuteInlinePlan`, `ClientWireProtocol.ExecuteInlinePlan.Builder`, `ClientWireProtocol.ExecutePlan`, `ClientWireProtocol.ExecutePlan.Builder`, `ClientWireProtocol.ExecuteQuery`, `ClientWireProtocol.ExecuteQuery.Builder`, `ClientWireProtocol.ExecuteQueryResponse`, `ClientWireProtocol.ExecuteQueryResponse.Builder`, `ClientWireProtocol.ExecuteUpdate`, `ClientWireProtocol.ExecuteUpdate.Builder`, `ClientWireProtocol.ExecuteUpdateResponse`, `ClientWireProtocol.ExecuteUpdateResponse.Builder`, `ClientWireProtocol.ExplainPipelineRequest`, `ClientWireProtocol.ExplainPipelineRequest.Builder`, `ClientWireProtocol.ExplainPipelineResponse`, `ClientWireProtocol.ExplainPipelineResponse.Builder`, `ClientWireProtocol.ExplainPlan`, `ClientWireProtocol.ExplainPlan.Builder`, `ClientWireProtocol.ExplainResponseStringPlan`, `ClientWireProtocol.ExplainResponseStringPlan.Builder`, `ClientWireProtocol.FetchAuthenticators`, `ClientWireProtocol.FetchAuthenticators.Builder`, `ClientWireProtocol.FetchAuthenticatorsResponse`, `ClientWireProtocol.FetchAuthenticatorsResponse.Builder`, `ClientWireProtocol.FetchData`, `ClientWireProtocol.FetchData.Builder`, `ClientWireProtocol.FetchDataResponse`, `ClientWireProtocol.FetchDataResponse.Builder`, `ClientWireProtocol.FetchMetadata`, `ClientWireProtocol.FetchMetadata.Builder`, `ClientWireProtocol.FetchMetadataResponse`, `ClientWireProtocol.FetchMetadataResponse.Builder`, `ClientWireProtocol.FetchSystemMetadata`, `ClientWireProtocol.FetchSystemMetadata.Builder`, `ClientWireProtocol.FetchSystemMetadataResponse`, `ClientWireProtocol.FetchSystemMetadataResponse.Builder`, `ClientWireProtocol.FetchUpdateStatus`, `ClientWireProtocol.FetchUpdateStatus.Builder`, `ClientWireProtocol.FetchUpdateStatusResponse`, `ClientWireProtocol.FetchUpdateStatusResponse.Builder`, `ClientWireProtocol.ForceExternal`, `ClientWireProtocol.ForceExternal.Builder`, `ClientWireProtocol.GetSchema`, `ClientWireProtocol.GetSchema.Builder`, `ClientWireProtocol.GetSchemaResponse`, `ClientWireProtocol.GetSchemaResponse.Builder`, `ClientWireProtocol.KillQuery`, `ClientWireProtocol.KillQuery.Builder`, `ClientWireProtocol.KillQueryResponse`, `ClientWireProtocol.KillQueryResponse.Builder`, `ClientWireProtocol.ListPlan`, `ClientWireProtocol.ListPlan.Builder`, `ClientWireProtocol.ListPlanResponse`, `ClientWireProtocol.ListPlanResponse.Builder`, `ClientWireProtocol.OpenIDAuthenticator`, `ClientWireProtocol.OpenIDAuthenticator.Builder`, `ClientWireProtocol.QueryConcurrencyResponse`, `ClientWireProtocol.QueryConcurrencyResponse.Builder`, `ClientWireProtocol.Request`, `ClientWireProtocol.Request.Builder`, `ClientWireProtocol.ResultSet`, `ClientWireProtocol.ResultSet.Builder`, `ClientWireProtocol.SecondaryInterfaceList`, `ClientWireProtocol.SecondaryInterfaceList.Builder`, `ClientWireProtocol.SecurityToken`, `ClientWireProtocol.SecurityToken.Builder`, `ClientWireProtocol.ServerVersion`, `ClientWireProtocol.ServerVersion.Builder`, `ClientWireProtocol.SessionInfo`, `ClientWireProtocol.SessionInfo.Builder`, `ClientWireProtocol.SetParameter`, `ClientWireProtocol.SetParameter.Builder`, `ClientWireProtocol.SetParameter.Concurrency`, `ClientWireProtocol.SetParameter.Concurrency.Builder`, `ClientWireProtocol.SetParameter.ForceExternal`, `ClientWireProtocol.SetParameter.ForceExternal.Builder`, `ClientWireProtocol.SetParameter.MaxTempDiskLimit`, `ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`, `ClientWireProtocol.SetParameter.MemoryTracing`, `ClientWireProtocol.SetParameter.MemoryTracing.Builder`, `ClientWireProtocol.SetParameter.Priority`, `ClientWireProtocol.SetParameter.Priority.Builder`, `ClientWireProtocol.SetParameter.PriorityAdjustFactor`, `ClientWireProtocol.SetParameter.PriorityAdjustFactor.Builder`, `ClientWireProtocol.SetParameter.PriorityAdjustTime`, `ClientWireProtocol.SetParameter.PriorityAdjustTime.Builder`, `ClientWireProtocol.SetParameter.ResultSetColumnLimit`, `ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder`, `ClientWireProtocol.SetParameter.RowLimit`, `ClientWireProtocol.SetParameter.RowLimit.Builder`, `ClientWireProtocol.SetParameter.ServiceClassName`, `ClientWireProtocol.SetParameter.ServiceClassName.Builder`, `ClientWireProtocol.SetParameter.TimeLimit`, `ClientWireProtocol.SetParameter.TimeLimit.Builder`, `ClientWireProtocol.SetSchema`, `ClientWireProtocol.SetSchema.Builder`, `ClientWireProtocol.TestConnection`, `ClientWireProtocol.TestConnection.Builder`, `DescriptorProtos.DescriptorProto`, `DescriptorProtos.DescriptorProto.Builder`, `DescriptorProtos.DescriptorProto.ExtensionRange`, `DescriptorProtos.DescriptorProto.ExtensionRange.Builder`, `DescriptorProtos.DescriptorProto.ReservedRange`, `DescriptorProtos.DescriptorProto.ReservedRange.Builder`, `DescriptorProtos.EnumDescriptorProto`, `DescriptorProtos.EnumDescriptorProto.Builder`, `DescriptorProtos.EnumDescriptorProto.EnumReservedRange`, `DescriptorProtos.EnumDescriptorProto.EnumReservedRange.Builder`, `DescriptorProtos.EnumOptions`, `DescriptorProtos.EnumOptions.Builder`, `DescriptorProtos.EnumValueDescriptorProto`, `DescriptorProtos.EnumValueDescriptorProto.Builder`, `DescriptorProtos.EnumValueOptions`, `DescriptorProtos.EnumValueOptions.Builder`, `DescriptorProtos.ExtensionRangeOptions`, `DescriptorProtos.ExtensionRangeOptions.Builder`, `DescriptorProtos.ExtensionRangeOptions.Declaration`, `DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`, `DescriptorProtos.FeatureSet`, `DescriptorProtos.FeatureSet.Builder`, `DescriptorProtos.FeatureSetDefaults`, `DescriptorProtos.FeatureSetDefaults.Builder`, `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault`, `DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`, `DescriptorProtos.FieldDescriptorProto`, `DescriptorProtos.FieldDescriptorProto.Builder`, `DescriptorProtos.FieldOptions`, `DescriptorProtos.FieldOptions.Builder`, `DescriptorProtos.FieldOptions.EditionDefault`, `DescriptorProtos.FieldOptions.EditionDefault.Builder`, `DescriptorProtos.FieldOptions.FeatureSupport`, `DescriptorProtos.FieldOptions.FeatureSupport.Builder`, `DescriptorProtos.FileDescriptorProto`, `DescriptorProtos.FileDescriptorProto.Builder`, `DescriptorProtos.FileDescriptorSet`, `DescriptorProtos.FileDescriptorSet.Builder`, `DescriptorProtos.FileOptions`, `DescriptorProtos.FileOptions.Builder`, `DescriptorProtos.GeneratedCodeInfo`, `DescriptorProtos.GeneratedCodeInfo.Annotation`, `DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`, `DescriptorProtos.GeneratedCodeInfo.Builder`, `DescriptorProtos.MessageOptions`, `DescriptorProtos.MessageOptions.Builder`, `DescriptorProtos.MethodDescriptorProto`, `DescriptorProtos.MethodDescriptorProto.Builder`, `DescriptorProtos.MethodOptions`, `DescriptorProtos.MethodOptions.Builder`, `DescriptorProtos.OneofDescriptorProto`, `DescriptorProtos.OneofDescriptorProto.Builder`, `DescriptorProtos.OneofOptions`, `DescriptorProtos.OneofOptions.Builder`, `DescriptorProtos.ServiceDescriptorProto`, `DescriptorProtos.ServiceDescriptorProto.Builder`, `DescriptorProtos.ServiceOptions`, `DescriptorProtos.ServiceOptions.Builder`, `DescriptorProtos.SourceCodeInfo`, `DescriptorProtos.SourceCodeInfo.Builder`, `DescriptorProtos.SourceCodeInfo.Location`, `DescriptorProtos.SourceCodeInfo.Location.Builder`, `DescriptorProtos.UninterpretedOption`, `DescriptorProtos.UninterpretedOption.Builder`, `DescriptorProtos.UninterpretedOption.NamePart`, `DescriptorProtos.UninterpretedOption.NamePart.Builder`, `DoubleValue`, `DoubleValue.Builder`, `Duration`, `Duration.Builder`, `DynamicMessage`, `DynamicMessage.Builder`, `Empty`, `Empty.Builder`, `Enum`, `Enum.Builder`, `EnumValue`, `EnumValue.Builder`, `Field`, `Field.Builder`, `FieldMask`, `FieldMask.Builder`, `FloatValue`, `FloatValue.Builder`, `GeneratedMessage`, `GeneratedMessage.Builder`, `GeneratedMessage.ExtendableBuilder`, `GeneratedMessage.ExtendableMessage`, `GeneratedMessageV3`, `GeneratedMessageV3.Builder`, `GeneratedMessageV3.ExtendableBuilder`, `GeneratedMessageV3.ExtendableMessage`, `Int32Value`, `Int32Value.Builder`, `Int64Value`, `Int64Value.Builder`, `JavaFeaturesProto.JavaFeatures`, `JavaFeaturesProto.JavaFeatures.Builder`, `ListValue`, `ListValue.Builder`, `MapEntry`, `MapEntry.Builder`, `Method`, `Method.Builder`, `Mixin`, `Mixin.Builder`, `Option`, `Option.Builder`, `PluginProtos.CodeGeneratorRequest`, `PluginProtos.CodeGeneratorRequest.Builder`, `PluginProtos.CodeGeneratorResponse`, `PluginProtos.CodeGeneratorResponse.Builder`, `PluginProtos.CodeGeneratorResponse.File`, `PluginProtos.CodeGeneratorResponse.File.Builder`, `PluginProtos.Version`, `PluginProtos.Version.Builder`, `SourceContext`, `SourceContext.Builder`, `StringValue`, `StringValue.Builder`, `Struct`, `Struct.Builder`, `Timestamp`, `Timestamp.Builder`, `Type`, `Type.Builder`, `UInt32Value`, `UInt32Value.Builder`, `UInt64Value`, `UInt64Value.Builder`, `Value`, `Value.Builder`

@CheckReturnValue public interface MessageOrBuilder extends MessageLiteOrBuilder
Base interface for methods common to `Message` and `Message.Builder` to provide type equivalency.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`findInitializationErrors()`
Returns a list of field paths (e.g.
`Map<Descriptors.FieldDescriptor,Object>`
`getAllFields()`
Returns a collection of all the fields in this message which are set and their corresponding values.
`Message`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`Object`
`getField(Descriptors.FieldDescriptor field)`
Obtains the value of the given field, or the default value if it is not set.
`String`
`getInitializationErrorString()`
Returns a comma-delimited list of required fields which are not set in this message object.
`Descriptors.FieldDescriptor`
`getOneofFieldDescriptor(Descriptors.OneofDescriptor oneof)`
Obtains the FieldDescriptor if the given oneof is set.
`Object`
`getRepeatedField(Descriptors.FieldDescriptor field, int index)`
Gets an element of a repeated field.
`int`
`getRepeatedFieldCount(Descriptors.FieldDescriptor field)`
Gets the number of elements of a repeated field.
`UnknownFieldSet`
`getUnknownFields()`
Get the `UnknownFieldSet` for this message.
`boolean`
`hasField(Descriptors.FieldDescriptor field)`
Returns true if the given field is set.
`boolean`
`hasOneof(Descriptors.OneofDescriptor oneof)`
Returns true if the given oneof is set.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

## Method Details

### getDefaultInstanceForType

Message getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`

### findInitializationErrors

List<String> findInitializationErrors()
Returns a list of field paths (e.g. "foo.bar.baz") of required fields which are not set in this message. You should call `MessageLiteOrBuilder.isInitialized()` first to check if there are any missing fields, as that method is likely to be much faster than this one even when the message is fully-initialized.

### getInitializationErrorString

String getInitializationErrorString()
Returns a comma-delimited list of required fields which are not set in this message object. You should call `MessageLiteOrBuilder.isInitialized()` first to check if there are any missing fields, as that method is likely to be much faster than this one even when the message is fully-initialized.

### getDescriptorForType

Descriptors.Descriptor getDescriptorForType()
Get the message's type's descriptor. This differs from the `getDescriptor()` method of generated message classes in that this method is an abstract method of the `Message` interface whereas `getDescriptor()` is a static method of a specific class. They return the same thing.

### getAllFields

Map<Descriptors.FieldDescriptor,Object> getAllFields()
Returns a collection of all the fields in this message which are set and their corresponding values. A singular ("required" or "optional") field is set iff hasField() returns true for that field. A "repeated" field is set iff getRepeatedFieldCount() is greater than zero. The values are exactly what would be returned by calling `getField(Descriptors.FieldDescriptor)` for each field. The map is guaranteed to be a sorted map, so iterating over it will return fields in order by field number.
If this is for a builder, the returned map may or may not reflect future changes to the builder. Either way, the returned map is itself unmodifiable.

### hasOneof

boolean hasOneof(Descriptors.OneofDescriptor oneof)
Returns true if the given oneof is set.

Throws:
  `IllegalArgumentException` - if `oneof.getContainingType() != getDescriptorForType()`.

### getOneofFieldDescriptor

Descriptors.FieldDescriptor getOneofFieldDescriptor(Descriptors.OneofDescriptor oneof)
Obtains the FieldDescriptor if the given oneof is set. Returns null if no field is set.

### hasField

boolean hasField(Descriptors.FieldDescriptor field)
Returns true if the given field is set. This is exactly equivalent to calling the generated "has" accessor method corresponding to the field. The return value of hasField() is semantically meaningful only for fields where field.hasPresence() == true.

Throws:
  `IllegalArgumentException` - The field is a repeated field, or `field.getContainingType() != getDescriptorForType()`.

### getField

Object getField(Descriptors.FieldDescriptor field)
Obtains the value of the given field, or the default value if it is not set. For primitive fields, the boxed primitive value is returned. For enum fields, the EnumValueDescriptor for the value is returned. For embedded message fields, the sub-message is returned. For repeated fields, a java.util.List is returned.

### getRepeatedFieldCount

int getRepeatedFieldCount(Descriptors.FieldDescriptor field)
Gets the number of elements of a repeated field. This is exactly equivalent to calling the generated "Count" accessor method corresponding to the field.

Throws:
  `IllegalArgumentException` - The field is not a repeated field, or `field.getContainingType() != getDescriptorForType()`.

### getRepeatedField

Object getRepeatedField(Descriptors.FieldDescriptor field, int index)
Gets an element of a repeated field. For primitive fields, the boxed primitive value is returned. For enum fields, the EnumValueDescriptor for the value is returned. For embedded message fields, the sub-message is returned.

Throws:
  `IllegalArgumentException` - The field is not a repeated field, or `field.getContainingType() != getDescriptorForType()`.

### getUnknownFields

UnknownFieldSet getUnknownFields()
Get the `UnknownFieldSet` for this message.